org.apache.tinkerpop.gremlin.driver.message

## Class RequestMessage.Builder

- java.lang.Object
- - org.apache.tinkerpop.gremlin.driver.message.RequestMessage.Builder

- Enclosing class:
    RequestMessage

      public static final class RequestMessage.Builder
      extends Object

  Builder class for `RequestMessage`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `OP_PROCESSOR_NAME`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RequestMessage.Builder` | `add(Object... keyValues)`
    `RequestMessage.Builder` | `addArg(String key, Object val)`
    `RequestMessage` | `create()` Create the request message given the settings provided to the `RequestMessage.Builder`.
    `RequestMessage.Builder` | `overrideRequestId(UUID requestId)` Override the request identifier with a specified one, otherwise the `RequestMessage.Builder` will randomly generate a `UUID`.
    `RequestMessage.Builder` | `processor(String processor)` If this value is not set in the builder then the `RequestMessage.processor` defaults to the standard op processor (empty string).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### OP_PROCESSOR_NAME

          public static final String OP_PROCESSOR_NAME

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### processor

          public RequestMessage.Builder processor(String processor)

      If this value is not set in the builder then the `RequestMessage.processor` defaults to the standard op processor (empty string).
      Parameters:
        `processor` - the name of the processor

    - #### overrideRequestId

          public RequestMessage.Builder overrideRequestId(UUID requestId)

      Override the request identifier with a specified one, otherwise the `RequestMessage.Builder` will randomly generate a `UUID`.

    - #### addArg

          public RequestMessage.Builder addArg(String key,
                                               Object val)

    - #### add

          public RequestMessage.Builder add(Object... keyValues)

    - #### create

          public RequestMessage create()

      Create the request message given the settings provided to the `RequestMessage.Builder`.

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.